/*
* Licensed Materials - Property of IBM Corp.
* IBM UrbanCode Build
* IBM UrbanCode Deploy
* IBM UrbanCode Release
* IBM AnthillPro
* (c) Copyright IBM Corporation 2002, 2014. All Rights Reserved.
*
* U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
* GSA ADP Schedule Contract with IBM Corp.
*/
package com.urbancode.air

import java.text.SimpleDateFormat

public class PropsParser {

    public parse(String pluginProps) {
        def result = [:]

        if(pluginProps == null) {
            return result;
        }
        
        def pluginPropLines = pluginProps.split("\n")

        pluginPropLines.each{ line ->
            def keyValue = line.split("=", 2);
            if (keyValue.size() > 1) {
                def key = keyValue[0]
                def value = keyValue[1]

                if(key != null && !key.equals("") && value != null && !value.equals("")) {
                    println "PARSE KEY ---> " + key
                    println "PARSE VALUE ---> " + value
                    result[key] = value;
                }
            }
        }
        return result
    }
}